<!-- Hauptschritt: Planen -->
<button
  nbButton
  size="medium"
  status=""
  class="position-warning"
  [nbPopover]="'BUTTONS.PUB' | translate"
  nbPopoverPlacement="bottom"
>
  <nb-icon icon="plus-circle-outline"></nb-icon>
</button>
<button
  nbButton
  size="medium"
  status="danger"
  class="position-warning"
  [nbPopover]="'BUTTONS.ATT' | translate"
  nbPopoverPlacement="bottom"
>
  <nb-icon icon="alert-triangle-outline"></nb-icon>
</button>
<button
  nbButton
  status="danger"
  class="position-feedback"
  (click)="this.feedbackService.giveFeedback('Planen')"
>
  {{ "PROJECTDETAILS.FEEDBACK" | translate }}
</button>

<!-- Set Stepper distance here -->
<nb-card>
  <nb-card-body>
    <nb-stepper orientation="horizontal" linear="false" #stepperPlanen>
      <!-- Unterschritt: Skizze -->
      <nb-step
        label="Skizze"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(0, stepperPlanen),
          reset: this.stepperService.resetStep(0, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-skizze></app-skizze>

          <div class="bottom-right">
            <app-chat [i]="'text_field_2_1'"></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Skizze', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(0, stepperPlanen)"
              (click)="this.stepperService.completeStep(0, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton disabled nbStepperNext>prev</button>
            <button nbButton nbStepperNext>next</button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Rollen -->
      <nb-step
        label="Rollen"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(1, stepperPlanen),
          reset: this.stepperService.resetStep(1, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-rollen></app-rollen>
          <div class="bottom-right">
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Rollen', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(1, stepperPlanen)"
              (click)="this.stepperService.completeStep(1, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Fördervorgaben -->
      <nb-step
        label="Fördervorgaben"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(2, stepperPlanen),
          reset: this.stepperService.resetStep(2, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <div class="margin-bottom">
            <app-foerdervorgaben></app-foerdervorgaben>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(2, stepperPlanen)"
              (click)="this.stepperService.completeStep(2, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: DMP Software -->
      <nb-step
        label="DMP Software"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(3, stepperPlanen),
          reset: this.stepperService.resetStep(3, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-dmp-software></app-dmp-software>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['DMP_Software', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(3, stepperPlanen)"
              (click)="this.stepperService.completeStep(3, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Existierende Daten -->
      <nb-step
        label="Existierende Ressourcen"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(4, stepperPlanen),
          reset: this.stepperService.resetStep(4, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-exisitierende-daten></app-exisitierende-daten>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="[
                'Existierende_Ressourcen',
                'stepperPlanen'
              ]"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(5, stepperPlanen)"
              (click)="this.stepperService.completeStep(5, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Software finden 
      <nb-step label="Software finden" [stepControl]="{valid: isStepCompleted(8, stepperPlanen), reset: resetStep(8, stepperPlanen)}">
        <div class="my-stepper-wrapper">
          <div class="margin-bottom">
        <h4>{{'PROJECTDETAILS.PLAN.EXISTING_SOFTWARE.TITLE' | translate}}</h4>
        <p class="lorem">
          {{'PROJECTDETAILS.PLAN.EXISTING_SOFTWARE.DESC' | translate}}
        </p>
        <button nbButton  status="danger" class="position-info" nbPopover="Voneinander abhängige Schritte, sind eher ein Aufgabenpaket und können auch in einer anderen Reihenfolge bzw. parallel durchgeführt werden. Step 9->13." nbPopoverPlacement="bottom"><nb-icon icon="info-outline"></nb-icon></button>
          </div>
        <div>
      <app-chat></app-chat>
      <app-checkliste></app-checkliste>
      <app-trainings></app-trainings>
      <app-invite></app-invite>
      <button nbButton status="success" [disabled]="isStepCompleted(8, stepperPlanen)" (click)="completeStep(8, stepperPlanen)">Mark as Completed</button>
        <button nbButton status="success" nbStepperPrevious>prev</button>
        <button nbButton status="success" nbStepperNext>next</button>
      </div>
      </div>
      </nb-step>-->

      <!-- Unterschritt: Datenverwaltung -->
      <nb-step
        label="Datenverwaltung"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(9, stepperPlanen),
          reset: this.stepperService.resetStep(9, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-datenverwaltung></app-datenverwaltung>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Datenverwaltung', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(9, stepperPlanen)"
              (click)="this.stepperService.completeStep(9, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Metadaten -->
      <nb-step
        label="Metadaten"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(10, stepperPlanen),
          reset: this.stepperService.resetStep(10, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-metadaten></app-metadaten>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Metadaten', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(10, stepperPlanen)"
              (click)="this.stepperService.completeStep(10, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: E&U -->
      <nb-step
        label="Copyright"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(12, stepperPlanen),
          reset: this.stepperService.resetStep(12, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-e-u></app-e-u>
          <div>
            <h4>
              {{ "PROJECTDETAILS.PLAN.BACKUP.TITLE" | translate }}
            </h4>
            <p class="lorem">
              {{ "PROJECTDETAILS.PLAN.BACKUP.DESC" | translate }}
            </p>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Copyright', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(12, stepperPlanen)"
              (click)="this.stepperService.completeStep(12, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Datenpublikation
      <nb-step label="Datenpublikation" [stepControl]="{valid: isStepCompleted(13, stepperPlanen), reset: resetStep(13, stepperPlanen)}">
        <div class="my-stepper-wrapper">
          <div class="margin-bottom">
        <h4>{{'PUBLISHING.DATAPUBLISHING.TITLE' | translate}}</h4>
        
        <p>
          {{'PUBLISHING.DATAPUBLISHING.DESC' | translate}}
        </p>
        <br/>
        <br/>
        <nb-accordion>
          <nb-accordion-item>
            <nb-accordion-item-header>
              Möglichkeiten &nbsp; &nbsp;
              <nb-icon icon="search"></nb-icon>
            </nb-accordion-item-header>
            <nb-accordion-item-body>
              <a href="https://www.re3data.org/">
                re3data
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://publikationen.bibliothek.kit.edu/1000151429">
                Data Collections Explorer
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://zenodo.org/">
                Zenodo
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://figshare.com/">
                Figshare
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://dataverse.harvard.edu/">
                DataverseHarvard
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://data.mendeley.com/">
                Mendeley Data
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://explore.openaire.eu/search/find/research-outcomes?type=%22datasets%22">
                OpenAIRE Research Data
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://b2find.eudat.eu/">
                B2FIND
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://www.base-search.net/Search/Advanced">
                BASE
              </a>
            </nb-accordion-item-body>
            <nb-accordion-item-body>
              <a href="https://datasetsearch.research.google.com/Intern">
                Google Dataset Search
              </a>
            </nb-accordion-item-body>
          </nb-accordion-item>
        </nb-accordion>
          </div>
        <div>
      <app-chat></app-chat>
      <app-checkliste></app-checkliste>
      <app-trainings></app-trainings>
      <app-invite></app-invite>
      <button nbButton status="success" [disabled]="isStepCompleted(13, stepperPlanen)" (click)="completeStep(13, stepperPlanen)">Mark as Completed</button>
        <button nbButton status="success" nbStepperPrevious>prev</button>
        <button nbButton status="success" nbStepperNext>next</button>
      </div>
      </div>
      </nb-step> -->

      <!-- Unterschritt: Kosten -->
      <nb-step
        label="Kosten"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(14, stepperPlanen),
          reset: this.stepperService.resetStep(14, stepperPlanen)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-kosten></app-kosten>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Kosten', 'stepperPlanen']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(14, stepperPlanen)"
              (click)="this.stepperService.completeStep(14, stepperPlanen)"
            >
              Mark as Completed
            </button>
            <button nbButton status="success" nbStepperPrevious>
              prev
            </button>
            <button nbButton status="success" nbStepperNext>
              next
            </button>
          </div>
        </div>
      </nb-step>

      <!-- Unterschritt: Durchführen -->
      <!-- <nb-step
        label="Durchführen"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(3, stepperErhebung),
          reset: this.stepperService.resetStep(3, stepperErhebung)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-durchfuehren></app-durchfuehren>

          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Durchführen', 'stepperErhebung']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(3, stepperErhebung)"
              (click)="this.stepperService.completeStep(3, stepperErhebung)"
            >
              {{ "BUTTONS.MAC" | translate }}
            </button>
            <button nbButton nbStepperPrevious>prev</button>
            <button nbButton nbStepperNext>next</button>
          </div>
        </div>
      </nb-step> -->

      <!-- Unterschritt: Speichern -->
      <!-- <nb-step
        label="Speichern"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(4, stepperErhebung),
          reset: this.stepperService.resetStep(4, stepperErhebung)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-speichern></app-speichern>

          <div>
            <button nbButton ghost status="danger">
              <nb-icon
                icon="edit-outline"
                routerLink="„updateProject“"
              ></nb-icon>
            </button>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Speichern', 'stepperErhebung']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(4, stepperErhebung)"
              (click)="this.stepperService.completeStep(4, stepperErhebung)"
            >
              {{ "BUTTONS.MAC" | translate }}
            </button>
            <button nbButton nbStepperPrevious>
              {{ "BUTTONS.PREV" | translate }}
            </button>
            <button nbButton nbStepperNext>
              {{ "BUTTONS.NEXT" | translate }}
            </button>
          </div>
        </div>
      </nb-step> -->

      <!-- Unterschritt: Aufbereiten -->
      <!-- <nb-step
        label="Aufbereiten"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(6, stepperErhebung),
          reset: this.stepperService.resetStep(6, stepperErhebung)
        }"
      >
        <div class="my-stepper-wrapper">
          <app-aufbereiten></app-aufbereiten>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Aufbereiten', 'stepperErhebung']"
            ></app-trainings>
            <app-invite></app-invite>
          </div>
        </div>
      </nb-step> -->

      <!-- Unterschritt: Fremddaten -->
      <!-- <nb-step
        label="Fremddaten"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(8, stepperErhebung),
isStepCompleted
        }"
      >
        <div class="my-stepper-wrapper">
         <app-fremddaten></app-fremddaten>
          <div>
            <app-chat></app-chat>
            <app-checkliste></app-checkliste>
            <app-trainings
              [currentStep]="['Fremddaten', 'stepperErhebung']"
            ></app-trainings>
            <app-invite></app-invite>
            <button
              nbButton
              status="success"
              [disabled]="this.stepperService.isStepCompleted(8, stepperErhebung)"
              (click)="this.stepperService.completeStep(8, stepperErhebung)"
            >
              {{ "BUTTONS.MAC" | translate }}
            </button>
            <button nbButton nbStepperPrevious>
              {{ "BUTTONS.PREV" | translate }}
            </button>
            <button nbButton nbStepperNext>
              {{ "BUTTONS.NEXT" | translate }}
            </button>
          </div>
        </div>
      </nb-step> -->
      
    </nb-stepper>
  </nb-card-body>
</nb-card>

